VMTKBRANCHSECTIONS(1)

NAME
vmtkbranchsections - vmtk script vmtkbranchsections

DESCRIPTION
Automatic piping vmtkbranchsections Parsing options vmtkbranchsections

vmtkbranchsections : compute geometric properties of branch sections

    located a fixed number of spheres away from each bifurcation. The script takes in input the surface and the relative centerlines, both already split into branches.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface, already split into

    branches

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1): the input centerlines,

    already split into branches

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-distancespheres NumberOfDistanceSpheres (int,1) >= 0; default=1:

    distance from the bifurcation at which the sections have to be taken; the distance is expressed in number of inscribed spheres, where each sphere touches the center of the previous one

-reverse ReverseDirection (bool,1); default=0: toggle start

    generating sections from the end of the branches rather than the start

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where centerline radius is stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array where centerline group ids are stored

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds: name of the array where centerline ids are stored

-tractidsarray TractIdsArrayName (str,1); default=TractIds: name of

    the array where centerline tract ids are stored

-blankingarray BlankingArrayName (str,1); default=Blanking: name of

    the array where centerline blanking information about branches is stored

-branchsectiongroupids BranchSectionGroupIdsArrayName (str,1);

    default=BranchSectionGroupIds: name of the array where the group id to which each section belongs has to be stored

-branchsectionarea BranchSectionAreaArrayName (str,1);

    default=BranchSectionArea: name of the array where the area of bifurcation sections have to be stored

-branchsectionminsize BranchSectionMinSizeArrayName (str,1);

    default=BranchSectionMinSize: name of the array where the minimum diameter of each section has to be stored

-branchsectionmaxsize BranchSectionMaxSizeArrayName (str,1);

    default=BranchSectionMaxSize: name of the array where the maximum diameter of each bifurcation sections has to be stored

-branchsectionshape BranchSectionShapeArrayName (str,1);

    default=BranchSectionShape: name of the array where the shape index, i.e. the ratio between minimum and maximum diameter, of each bifurcation section has to be stored

-branchsectionclosed BranchSectionClosedArrayName (str,1);

    default=BranchSectionClosed: name of the array containing 1 if a section is closed and 0 otherwise

-branchsectiondistancespheres BranchSectionDistanceSpheresArrayName

    (str,1); default=BranchSectionDistanceSpheres: name of the array containing the number of distance spheres the section is taken at

-ofile BranchSectionsOutputFileName (str,1): filename for the

    default BranchSections writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o BranchSections (vtkPolyData,1): the output sections

-branchsectiongroupids BranchSectionGroupIdsArrayName (str,1);

    default=BranchSectionGroupIds: name of the array where the group id to which each section belongs are stored

-branchsectionarea BranchSectionAreaArrayName (str,1);

    default=BranchSectionArea: name of the array where the area of bifurcation sections are stored

-branchsectionminsize BranchSectionMinSizeArrayName (str,1);

    default=BranchSectionMinSize: name of the array where the minimum diameter of each section are stored

-branchsectionmaxsize BranchSectionMaxSizeArrayName (str,1);

    default=BranchSectionMaxSize: name of the array where the minimum diameter of each bifurcation sections has to be stored

-branchsectionshape BranchSectionShapeArrayName (str,1);

    default=BranchSectionShape: name of the array where the shape index, i.e. the ratio between minimum and maximum diameter, of each bifurcation section are stored

-branchsectionclosed BranchSectionClosedArrayName (str,1);

    default=BranchSectionClosed: name of the array containing 1 if a section is closed and 0 otherwise

-branchsectiondistancespheres BranchSectionDistanceSpheresArrayName

    (str,1); default=BranchSectionDistanceSpheres: name of the array containing the number of distance spheres the section is taken at